Overview | Modules | Class Hierarchy | Classes | Members

# Circle.h File Reference

`#include <vector>`
`#include <tulip/Vector.h>`
`#include "cxx/Circle.cxx"`

Include dependency graph for Circle.h:

## Namespaces

- namespace tlp

## Classes

- struct tlp::Circle< Obj >
    class for circle More...

## Functions

- template<typename Obj> Circle< Obj > tlp::enclosingCircle (const Circle< Obj > &, const Circle< Obj > &)
- template<typename Obj> Circle< Obj > tlp::enclosingCircle (const std::vector< Circle< Obj > > &circles)
- template<typename Obj> Circle< Obj > tlp::lazyEnclosingCircle (const std::vector< Circle< Obj > > &circles)
- template<typename Obj> std::ostream & tlp::operator<< (std::ostream &os, const Circle< Obj > &)

Tulip Software by LaBRI Visualization Team 2001 - 2010